GET
/api/v1/protocols/synapse/capabilitiesSynapse_ListSynapseCapabilities
- Authentication
- public
- Cache policy
- public-short
- Success and errors
- 200, 400, 404, 500, 503
- Stability
- v1 stable contract
OpenAPI operation
{
"operationId": "Synapse_ListSynapseCapabilities",
"summary": "List derived Synapse Agent Protocol capabilities with provenance",
"tags": [
"Synapse"
],
"parameters": [
{
"name": "query",
"in": "query",
"required": false,
"schema": {
"type": "string",
"maxLength": 200
}
},
{
"name": "cursor",
"in": "query",
"required": false,
"schema": {
"type": "string",
"maxLength": 500
}
},
{
"name": "limit",
"in": "query",
"required": false,
"schema": {
"default": 30,
"type": "integer",
"minimum": 1,
"maximum": 100
}
}
],
"security": [
{},
{
"apiKeyAuth": []
}
],
"responses": {
"200": {
"description": "Success",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"capabilityId": {
"type": "string"
},
"namespace": {
"type": "string"
},
"version": {
"type": "string"
},
"displayLabel": {
"type": "string"
},
"description": {
"type": "string"
},
"agentCount": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"supportedTransports": {
"type": "array",
"items": {
"type": "string"
}
},
"pricingSummary": {
"type": "array",
"items": {
"type": "object",
"properties": {
"tierId": {
"type": "string"
},
"pricePerCallAtomic": {
"anyOf": [
{
"type": "string",
"pattern": "^(?:0|[1-9][0-9]*)$"
},
{
"type": "null"
}
]
},
"minimumAtomic": {
"anyOf": [
{
"type": "string",
"pattern": "^(?:0|[1-9][0-9]*)$"
},
{
"type": "null"
}
]
},
"maximumAtomic": {
"anyOf": [
{
"type": "string",
"pattern": "^(?:0|[1-9][0-9]*)$"
},
{
"type": "null"
}
]
},
"rateLimit": {
"anyOf": [
{
"type": "string",
"pattern": "^(?:0|[1-9][0-9]*)$"
},
{
"type": "null"
}
]
},
"tokenType": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"tokenDecimals": {
"anyOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 255
},
{
"type": "null"
}
]
},
"settlementMode": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"tierId",
"pricePerCallAtomic",
"minimumAtomic",
"maximumAtomic",
"rateLimit",
"tokenType",
"tokenDecimals",
"settlementMode"
],
"additionalProperties": false
}
},
"x402Support": {
"type": "boolean"
},
"methodologyVersion": {
"type": "string"
},
"observationFreshness": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"projectedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"stale": {
"type": "boolean"
}
},
"required": [
"capabilityId",
"namespace",
"version",
"displayLabel",
"description",
"agentCount",
"supportedTransports",
"pricingSummary",
"x402Support",
"methodologyVersion",
"observationFreshness",
"projectedAt",
"stale"
],
"additionalProperties": false
}
},
"nextCursor": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"methodologyVersion": {
"type": "string"
},
"meta": {
"type": "object",
"additionalProperties": true,
"required": [
"requestId",
"schemaVersion",
"buildVersion",
"generatedAt",
"freshness"
],
"properties": {
"requestId": {
"type": "string",
"format": "uuid"
},
"schemaVersion": {
"type": "string"
},
"buildVersion": {
"type": "string"
},
"generatedAt": {
"type": "string",
"format": "date-time"
},
"freshness": {
"type": "object",
"additionalProperties": false,
"required": [
"projectedAt",
"sourceWatermark"
],
"properties": {
"projectedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"sourceWatermark": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"required": [
"data",
"nextCursor",
"methodologyVersion",
"meta"
],
"additionalProperties": false
}
}
}
},
"400": {
"description": "invalid request",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"404": {
"description": "not found",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"500": {
"description": "internal error",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"503": {
"description": "dependency unavailable",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
}
},
"x-auth-mode": "public",
"x-cache-policy": "public-short",
"x-required-scopes": [
"agents:read"
],
"x-rate-cost": 2,
"x-stability": "STABLE"
}